Consultar extrato financeiro
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/account-statement \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/account-statement"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/account-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/account-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/account-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/account-statement")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/account-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso",
"data": {
"balance": {
"available": 123,
"under_review": 123,
"pending": 123,
"anticipation": 123,
"can_anticipate": true
},
"statements": [
{
"transaction_date": "2026-02-15T14:32:10.000000Z",
"order_hash": "TOCA3F111503K9Z42QM",
"available_at": "2026-03-17T00:00:00.000000Z",
"transaction_hash": "TRX9KX2HQR",
"product_hash": "PRDA1B2C3",
"product_id": 1234,
"event_type": "SALE",
"amount": 9750,
"available_balance": 50000,
"pending_balance": 12500,
"current_balance": 62500
}
],
"pagination": {
"current_page": 1,
"from": 1,
"per_page": 15,
"to": 15,
"total": 87
}
}
}Financeiro
Consultar extrato financeiro
Retorna o extrato financeiro paginado do usuário autenticado, contendo o saldo
consolidado (no mesmo formato de /financial/balance), a lista de eventos
financeiros (vendas, reembolsos, antecipações, saques, etc.) e os metadados de
paginação. O resultado é cacheado por 10 minutos por usuário/conta/filtros.
GET
/
financial
/
account-statement
Consultar extrato financeiro
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/account-statement \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/account-statement"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/account-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/account-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/account-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/account-statement")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/account-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso",
"data": {
"balance": {
"available": 123,
"under_review": 123,
"pending": 123,
"anticipation": 123,
"can_anticipate": true
},
"statements": [
{
"transaction_date": "2026-02-15T14:32:10.000000Z",
"order_hash": "TOCA3F111503K9Z42QM",
"available_at": "2026-03-17T00:00:00.000000Z",
"transaction_hash": "TRX9KX2HQR",
"product_hash": "PRDA1B2C3",
"product_id": 1234,
"event_type": "SALE",
"amount": 9750,
"available_balance": 50000,
"pending_balance": 12500,
"current_balance": 62500
}
],
"pagination": {
"current_page": 1,
"from": 1,
"per_page": 15,
"to": 15,
"total": 87
}
}
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Query Parameters
Página da listagem (padrão 1)
Required range:
x >= 1Example:
1
Intervalo de datas para filtrar os eventos do extrato no formato
DD/MM/YYYY,DD/MM/YYYY (data inicial e final separadas por vírgula).
Pattern:
^\d{2}\/\d{2}\/\d{4},\d{2}\/\d{2}\/\d{4}$Example:
"01/01/2026,31/01/2026"